Package org.eclipse.graphiti.features

## Interface IDirectEditingFeature

All Superinterfaces:
  `IDescription`, `IDirectEditing`, `IFeature`, `IFeatureProviderHolder`, `IName`

All Known Implementing Classes:
  `AbstractDirectEditingFeature`, `DirectEditingFeatureForPattern`

    public interface IDirectEditingFeature
    extends IDirectEditing, IFeature

The Interface IDirectEditingFeature.

### Field Summary

### Fields inherited from interface org.eclipse.graphiti.func.IDirectEditing

`TYPE_CUSTOM, TYPE_DROPDOWN, TYPE_DROPDOWN_READ_ONLY, TYPE_MULTILINETEXT, TYPE_NONE, TYPE_TEXT`

### Method Summary

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.func.IDirectEditing

`canDirectEdit, checkValueValid, completeValue, getEditingType, getInitialValue, getPossibleValues, getProposalSupport, getValueProposals, isAutoCompletionEnabled, isCompletionAvailable, setValue, stretchFieldToFitText`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canExecute, canUndo, execute, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.IName

`getName`